// packageE/others/rank/rank.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    page:1, 
    kFootshow: true,
    iPnoneBottomBol: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getiPnoneBottom();
    this.getData();
  },
  goindex(){
    wx.navigateTo({
      url: '/packageE/others/skin/skin',
    });
  },
  tabrshowbtn(e) {
    let bol = e.detail;
    if (bol) {
      this.setData({
        kFootshow: false
      });
    }
  },
  getiPnoneBottom() {
    let that = this;
    try {
      var value = wx.getStorageSync('iPhoneBottom');
      if (value) {
        that.setData({
          iPnoneBottomBol: true
        });
        // Do something with return value
      }
    } catch (e) {
      // Do something when catch error
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    if(this.data.current_page > this.data.last_page){
      return;
    }else{
      let pages = this.data.page + 1;
      this.setData({
        page : pages
      });
      this.getMore();
    }
  },
  getData(){
    wx.showLoading({
      title: '加载中',
    });
    let that = this;
    let urlStr = app.getNetAddresss("plugin.skin-check.api.skin-check.ranking-list");
    app._getNetWork({
      url: urlStr,
      data:{
        page:that.data.page
      },
      success: function (resdata) {
        wx.hideLoading({
          complete: (res) => {},
        });
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            member:res.data.my,
            ranking_list:res.data.ranking_list,
            current_page:res.data.ranking_list.current_page,
            last_page:res.data.ranking_list.last_page
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });

        }
      },
      fail: function (res) {
        console.log(res);
        wx.hideLoading({
          complete: (res) => {},
        });
      }
    });
  },
  getMore(){
    wx.showLoading({
      title: '加载中',
    });
    let that = this;
    let urlStr = app.getNetAddresss("plugin.skin-check.api.skin-check.ranking-list");
    app._getNetWork({
      url: urlStr,
      data:{
        page:that.data.page
      },
      success: function (resdata) {
        wx.hideLoading({
          complete: (res) => {},
        });
        var res = resdata.data;
        console.log(res);
        if (res.result == 1) {
          that.setData({
            member:res.data.my,
            ranking_list:that.data.ranking_list.concat(res.data.ranking_list),
            current_page:res.data.ranking_list.current_page,
            last_page:res.data.ranking_list.last_page
          });
        } else {
          wx.showToast({
            icon: 'none',
            title: res.msg,
            duration: 1500
          });

        }
      },
      fail: function (res) {
        console.log(res);
        wx.hideLoading({
          complete: (res) => {},
        });
      }
    });
  }
});